Skip to main content
Monitoring & Collection/Scrape Collection

GetTargetHealth

Get the health status of all registered scrape targets

GET/api/v1/monitoring/scrape-targets/health

Operation ID

GetTargetHealth

Since

1.0.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

This API requires no request parameters.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • items
    List

    Collection of result items

    Example: (nested array)

    • targetUuid
      String

      UUID of the target being reported on

      Example: target-001-abc

    • targetName
      String

      Display name of the target

      Example: node-exporter-host01

    • endpoint
      String

      HTTP endpoint being scraped

      Example: http://192.168.1.10:9100

    • state
      String

      Current health state (up, down, unknown)

      Example: up

    • lastScrape
      String

      Last scrape

      Example: 2026-01-15T08:00:00Z

    • lastScrapeDuration
      Long

      Duration of the last scrape in seconds

      Example: 0.032

    • lastError
      String

      Last scrape error message if the scrape failed

      Example: timeout after 30s

    • consecutiveFails
      Integer

      Number of consecutive failed scrape attempts

      Example: 20

    • samplesScraped
      Integer

      Number of metric samples collected in the last scrape

      Example: 412